import { createApp } from 'vue'
import App from './App.vue'
import router from "./router";
import store from './store';
import ElementPlus from 'element-plus'
import 'element-plus/dist/index.css'
import "@/style/global.scss";//全局样式
import 'normalize.css'
import {drag} from  "./directive/drag"
import '@/utils/interceptRouterMethod.js' //重写router方法模块
import reportErr from '@/utils/reportErr'
import VConsole from 'vconsole';

if(import.meta.env.MODE==='test'){
    const vConsole = new VConsole();
}

const app = createApp(App)
app.directive('drag', drag)
reportErr(app)//设置全局错误上报
app.use(ElementPlus)
app.use(router)
app.use(store)
app.mount('#app')
